TMMHParameterSpec (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.jce.spec.TMMHParameterSpec,TMMHParameterSpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce.spec
Class TMMHParameterSpec

    java.lang.Object
      |
      +--gnu.crypto.jce.spec.TMMHParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class TMMHParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class represents the algorithm parameters for the Truncated Multi-Modular Hash function for use with JCE-derived instances of `TMMH16`.

This class is little more than a container for the key stream, tag length, and prefix parameters for the TMMH algorithm.

Field Summary
`protected IRandom` | `keystream` The keystream.
`protected byte[]` | `prefix` The prefix.
`protected java.lang.Integer` | `tagLength` The tag length.

Constructor Summary
`TMMHParameterSpec(IRandom keystream, java.lang.Integer tagLength)` Create a new parameter specification with no prefix.
`TMMHParameterSpec(IRandom keystream, java.lang.Integer tagLength, byte[] prefix)` Create a new parameter specification.

Method Summary
`IRandom` | `getKeystream()` Return the key stream this specification was initialized with.
`byte[]` | `getPrefix()` Return the prefix, or `null` if no prefix was specified.
`java.lang.Integer` | `getTagLength()` Return the tag length this specification was initialized with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keystream

    protected IRandom keystream

  The keystream.

### tagLength

    protected java.lang.Integer tagLength

  The tag length.

### prefix

    protected byte[] prefix

  The prefix.

Constructor Detail

### TMMHParameterSpec

    public TMMHParameterSpec(IRandom keystream,
                             java.lang.Integer tagLength,
                             byte[] prefix)

  Create a new parameter specification.

Parameters:
  `keystream` - The (PRNG) key stream.
  `tagLength` - The tag length.
  `prefix` - The prefix.

### TMMHParameterSpec

    public TMMHParameterSpec(IRandom keystream,
                             java.lang.Integer tagLength)

  Create a new parameter specification with no prefix.

Parameters:
  `keystream` - The (PRNG) key stream.
  `tagLength` - The tag length.

Method Detail

### getKeystream

    public IRandom getKeystream()

  Return the key stream this specification was initialized with.

  Returns:
    The key stream.

### getTagLength

    public java.lang.Integer getTagLength()

  Return the tag length this specification was initialized with.

  Returns:
    The tag length.

### getPrefix

    public byte[] getPrefix()

  Return the prefix, or `null` if no prefix was specified.

  Returns:
    The prefix.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.